Subject: Re: Roles and ABM

From: Bill Kwan <@uunet.uu.net:[email-masked]>
Date: Wed, 13 Jul 94 12:28:44 EST

I agree with Jim that the role DOES apply for ABM. It is used to
     determine who send the mode-setting command (i.e., SABME) and the 
     setting of the value of the ODAI bit in the TH during session BINDs.
     It is just not being used at the link level to control the link as in 
     NRM. See APPN AR 9-15.
     
     The operational mode (i.e., NRM or ABM) is in the NOF QUERY_DLC verb
     (APPN AR 3-37). I don't see any DLC objects in the APPN MIB, but that
     would probably be where that information belong.

     Regards,
     Bill
______________________________ Reply Separator _________________________________
Subject: re:APPN MIB Inconsistencies with OS/2 CM
Author:  [email-masked] at inet
Date:    7/11/94 11:35 AM

In message "APPN MIB Inconsistencies with OS/2 CM", 
[email-masked]' writes:
     
>With regard to the comment about ibmappnNodePortLsRole: 
>
>Architecture defines three link station roles - primary, secondary, and 
>negotiable.  There are two modes - normal response mode (NRM) and 
>asynchronous balanced mode (ABM).  The role is only significant in NRM 
>mode, and is unimportant in ABM mode.  So you are correct in saying 
>that ABM is not a valid link station role.  However, the current MIB 
>design to group these related values together in a single enumeration 
>is not necessarily an invalid approach -- it is one method to encoding 
>the information.  An alternative design might be to delete the value 
>"abm" from ibmappnNodePortLsRole, add a new object to the row 
>indicating the mode (NRM or ABM), and finally to add a new enumeration 
>value to ibmappnNodePortLsRole indicating "notApplicableForAbm". 
>However, I have to point out that this is simply an alternative way to 
>represent exactly the same information.  Do you have another 
>suggestion?
     
I don't know about your implementations, but the information which the MIB 
requires me to present at this point simply does not exist in my 
implementation.  Given an SNMP verb I issue NOF verbs, and the NOF QUERY_PORT 
verb does not provide a distinction between NRM and ABM (reference page 3-41 
of the APPN AR).  The SNMP MIB should not demand that an implementation return 
values which are not defined in the architecture of reference.  There is 
nothing in the APPN architecture of reference which declares that the roles 
primary, secondary, and negotiable are not applicable to ABM.  Indeed if you 
do not follow the negotiation procedure for link role on a TRN you will not 
get very far.
     
Therefore I feel that the ABM role value for ibmappnNodePortLsRole should be 
removed from the draft MIB.  There should be no additional object or 
alternative enumeration values for ibmappnNodePortLsRole, because such an 
alternative would be inconsistent with the APPN architecture of reference.